C
C     TCP2SCET Include file.
C
 
C
C     TCP2SCET Version.
C
      CHARACTER*(*)         VER
      PARAMETER           ( VER = '1.0.0, September 16, 2003' )

C
C     TCP format/structure related parameters
C
C     TCP record size is 48 bytes.
C
      INTEGER               TCPRSZ
		PARAMETER           ( TCPRSZ = 48 )

C
C     SCLK tick size, seconds. Assume 1/65536th of a second.
C
      DOUBLE PRECISION      TICKSZ
		PARAMETER           ( TICKSZ =  0.00001525878906D0 )

C
C     Maximum number of TCP the progran can deal with.
C
      INTEGER               MAXTCP
		PARAMETER           ( MAXTCP = 1000 )

C
C     Command lines keys and total number of them.
C
      CHARACTER*(*)         SETKEY
      PARAMETER           ( SETKEY = '-SETUP' )
 
      CHARACTER*(*)         MODKEY
      PARAMETER           ( MODKEY = '-MODE' )
 
      CHARACTER*(*)         TCPKEY
      PARAMETER           ( TCPKEY = '-TCP' )
 
      CHARACTER*(*)         SCTKEY
      PARAMETER           ( SCTKEY = '-SCET' )
 
      CHARACTER*(*)         SILKEY
      PARAMETER           ( SILKEY = '-SILENT' )
 
      CHARACTER*(*)         VRBKEY
      PARAMETER           ( VRBKEY = '-VERBOSE' )
 
      CHARACTER*(*)         HLPKEY
      PARAMETER           ( HLPKEY = '-HELP' )
 
      CHARACTER*(*)         HKEY
      PARAMETER           ( HKEY   = '-H' )
 
      CHARACTER*(*)         USGKEY
      PARAMETER           ( USGKEY = '-USAGE' )
 
      CHARACTER*(*)         UKEY
      PARAMETER           ( UKEY   = '-U' )
 
      CHARACTER*(*)         TMLKEY
      PARAMETER           ( TMLKEY = '-TEMPLATE' )
 
      INTEGER               MAXKEY
      PARAMETER           ( MAXKEY = 11 )
 
C
C     Setup file variables.
C
      CHARACTER*(*)         LSKKWD
      PARAMETER           ( LSKKWD = 'LEAPSECONDS_FILE' )
 
      CHARACTER*(*)         SCLKWD
      PARAMETER           ( SCLKWD = 'CLOCK_START_TIME' )
 
      CHARACTER*(*)         BADKWD
      PARAMETER           ( BADKWD = 'BAD_PACKET_TIMES' )
 
      CHARACTER*(*)         DISKWD
      PARAMETER           ( DISKWD = 'DISCONTINUITY_THRESHOLD' )
 
      CHARACTER*(*)         INTKWD
      PARAMETER           ( INTKWD = 'AUXILIARY_INTERVAL_SIZE' )
 
      CHARACTER*(*)         MNMKWD
      PARAMETER           ( MNMKWD = 'MISSION_NAME' )
 
      CHARACTER*(*)         MIDKWD
      PARAMETER           ( MIDKWD = 'MISSION_ID' )
 
      CHARACTER*(*)         SNMKWD
      PARAMETER           ( SNMKWD = 'SPACECRAFT_NAME' )
 
      CHARACTER*(*)         SIDKWD
      PARAMETER           ( SIDKWD = 'SPACECRAFT_ID' )
 
      CHARACTER*(*)         PIDKWD
      PARAMETER           ( PIDKWD = 'PRODUCER_ID' )
 
C
C     Mode system indentifier strings.
C
      CHARACTER*(*)         STPMOD
      PARAMETER           ( STPMOD = 'STEP' )
 
      CHARACTER*(*)         STRMOD
      PARAMETER           ( STRMOD = 'STRETCH' )
 
C
C     Line size parameters.
C
      INTEGER               WRDSIZ
      PARAMETER           ( WRDSIZ = 32   )
 
      INTEGER               SLNSIZ
		PARAMETER           ( SLNSIZ = 80 )

      INTEGER               LINSIZ
      PARAMETER           ( LINSIZ = 256  )
 
      INTEGER               LLNSIZ
      PARAMETER           ( LLNSIZ = 2048 )
 
C
C     File name length parameters.
C
      INTEGER               FILSIZ
      PARAMETER           ( FILSIZ  =  256 )
 
